Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ccl.swing
Class RunnableAction

    java.lang.Object
      |
      +--javax.swing.AbstractAction
            |
            +--ccl.swing.RunnableAction

All Implemented Interfaces:
  javax.swing.Action, java.awt.event.ActionListener, java.lang.Cloneable, java.util.EventListener, java.lang.Runnable, java.io.Serializable

public abstract class RunnableAction
extends javax.swing.AbstractAction
implements java.lang.Runnable

Implements action and Runnable.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`RunnableAction()`
`RunnableAction(java.lang.String param1_)`
`RunnableAction(java.lang.String param1_, javax.swing.Icon param2_)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent pActionEvent_)` Don't overwrite this method, implement run() instead.
`javax.swing.KeyStroke` | `getAccelerator()`
`java.lang.Character` | `getMnemonic()`
`java.lang.Object` | `getValue(java.lang.String sKey_)`
`abstract void` | `run()`
`void` | `setMainFrame(MainJFrame pMainFrame_)`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RunnableAction

    public RunnableAction()

### RunnableAction

    public RunnableAction(java.lang.String param1_)

### RunnableAction

    public RunnableAction(java.lang.String param1_,
                          javax.swing.Icon param2_)

Method Detail

### setMainFrame

    public void setMainFrame(MainJFrame pMainFrame_)

### getValue

    public java.lang.Object getValue(java.lang.String sKey_)

  Specified by:
    `getValue` in interface `javax.swing.Action`
  Overrides:
    `getValue` in class `javax.swing.AbstractAction`

### getMnemonic

    public java.lang.Character getMnemonic()

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent pActionEvent_)

  Don't overwrite this method, implement run() instead.

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### run

    public abstract void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### getAccelerator

    public javax.swing.KeyStroke getAccelerator()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD